<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Antecedentes Heredo Familiares</title>
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content">

                <p:growl id="msj"/>
                <p:fieldset legend="Agregar Antecedentes Heredo Familiares">
                    <h:form id="datos">
                        <div class="ui-grid-col-4"> 
                        <h:panelGrid columns="2" cellpadding="3" cellspacing="2">
                            <p:outputLabel value="Enfermedad" style="margin-right:21px;"/>
                            <p:inputText value="#{antecedenteFamiliarController.anteFamiliar.antecedente_f}"/>
                            <div class="registrar"> 
                                <p:commandButton style="top:6px" icon="pi pi-save"  value="Registrar" rendered="#{antecedenteFamiliarController.anteFamiliar.antecedente_f==null}" actionListener="#{antecedenteFamiliarController.insertar()}"  update=":datos :msj :tabla"/>
                            </div>
                            <p:commandButton icon="pi pi-times"  value="Cancelar" rendered="#{antecedenteFamiliarController.anteFamiliar.antecedente_f!=null}" actionListener="#{antecedenteFamiliarController.init()}"  update=":datos :msj :tabla"/>
                            <p:commandButton icon="pi pi-refresh" value="Actualizar" rendered="#{antecedenteFamiliarController.anteFamiliar.antecedente_f!=null}" actionListener="#{antecedenteFamiliarController.editar()}"  update=":msj :tabla :datos"/>
                        </h:panelGrid>
                        </div>
                      
                        <div class="ui-grid-col-4"> 
                        <h:panelGrid columns="2">
                            <p:linkButton  icon="pi pi-plus" value="Agregar Tipo de Cáncer" outcome="tipo_cancer.xhtml" />
                        </h:panelGrid>
                            </div>
                    </h:form>
                </p:fieldset>

                <br/>
                <p:fieldset legend="Listado de Antecedentes">
                    <h:form id="tabla" class="dosColumnas">
                        <p:dataTable value="#{antecedenteFamiliarController.listaAntecedente}" var="a" paginator="true" rows="5" style="width: 80%; margin: auto">
                            <p:column headerText="Enfermedad Hereditaria">
                                <p:outputLabel value="#{a.antecedente_f}"/>
                            </p:column>

                            <p:column headerText="Acciones">
                                <div class="eliminar"> 
                                    <p:commandButton icon="pi pi-trash" value="Eliminar" actionListener="#{antecedenteFamiliarController.eliminar(a)}" update=":datos :tabla :msj"/>                        
                                </div>
                                <div class="editar"> 
                                    <p:commandButton icon="pi pi-pencil" value="Editar" actionListener="#{antecedenteFamiliarController.consultarById(a)}" update=":datos"/>                        
                                </div>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

